Question-and-Answer Resource for the Building Energy Modeling Community
Get started with the Help page
Ask Your Question
3

warning: already initialized constant JSON::VERSION

asked 2019-05-22 04:41:52 -0600

nmw gravatar image

updated 2020-01-20 11:37:27 -0600

I just upgraded from OpenStudio 2.6.0 to 2.8.0 and received the following warning messages:

:/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/version.rb:4: warning: already initialized constant JSON::VERSION :/ruby/2.2.0/json/version.rb:3: warning: previous definition of VERSION was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/version.rb:5: warning: already initialized constant JSON::VERSION_ARRAY :/ruby/2.2.0/json/version.rb:4: warning: previous definition of VERSION_ARRAY was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/version.rb:6: warning: already initialized constant JSON::VERSION_MAJOR :/ruby/2.2.0/json/version.rb:5: warning: previous definition of VERSION_MAJOR was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/version.rb:7: warning: already initialized constant JSON::VERSION_MINOR :/ruby/2.2.0/json/version.rb:6: warning: previous definition of VERSION_MINOR was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/version.rb:8: warning: already initialized constant JSON::VERSION_BUILD :/ruby/2.2.0/json/version.rb:7: warning: previous definition of VERSION_BUILD was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/common.rb:100: warning: already initialized constant JSON::NaN :/ruby/2.2.0/json/common.rb:99: warning: previous definition of NaN was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/common.rb:102: warning: already initialized constant JSON::Infinity :/ruby/2.2.0/json/common.rb:101: warning: previous definition of Infinity was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/common.rb:104: warning: already initialized constant JSON::MinusInfinity :/ruby/2.2.0/json/common.rb:103: warning: previous definition of MinusInfinity was here :/ruby/2.2.0/gems/json_pure-2.2.0/lib/json/common.rb:129: warning: already initialized constant JSON::UnparserError :/ruby/2.2.0/json/common.rb:128: warning: previous definition of UnparserError was here

Does anyone know what the problem is and the solution to this problem?

Many thanks,

Nicholas

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-05-22 10:13:31 -0600

We have seen this, our current understanding is that the warnings are benign. I would suggest ignoring them for now, if you find that they are causing an issue please add more detail in the github ticket

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

 

Question Tools

1 follower

Stats

Asked: 2019-05-22 04:41:52 -0600

Seen: 457 times

Last updated: May 22 '19